qpid::log::Selector Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::log::Selector Class Reference

A selector identifies the set of log messages to enable. More...

`#include <qpid/log/Selector.h>`

List of all members.

## Public Member Functions
| Selector ()
| Empty selector selects nothing.
| Selector (const Options &)
| Set selector from Options.
| Selector (Level l, const std::string &s=std::string())
| Equavlient to: Selector s; s.enable(l, s)
| Selector (const std::string &enableStr)
void | enable (Level level, const std::string &substring=std::string())
| Enable messages with level in levels where the file name contains substring.
void | enable (const std::string &enableStr)
| Enable based on a 'level[+]:file' string.
bool | isEnabled (Level level, const char *function)
| True if level is enabled for file.

## Detailed Description

A selector identifies the set of log messages to enable.

Thread object unsafe, pass-by-value type.

## Constructor & Destructor Documentation

qpid::log::Selector::Selector | ( |  | ) | `[inline]`

Empty selector selects nothing.

Definition at line 38 of file Selector.h.

qpid::log::Selector::Selector | ( | const Options & |  | ) |

Set selector from Options.

qpid::log::Selector::Selector | ( | Level | l,
|  | const std::string & | s = `std::string()`
| ) |  | `[inline]`

Equavlient to: Selector s; s.enable(l, s)

Definition at line 44 of file Selector.h.

References enable().

qpid::log::Selector::Selector | ( | const std::string & | enableStr | ) | `[inline]`

Definition at line 48 of file Selector.h.

References enable().

## Member Function Documentation

void qpid::log::Selector::enable | ( | Level | level,
|  | const std::string & | substring = `std::string()`
| ) |  | `[inline]`

Enable messages with level in levels where the file name contains substring.

Empty string matches all.

Definition at line 53 of file Selector.h.

Referenced by Selector().

void qpid::log::Selector::enable | ( | const std::string & | enableStr | ) |

Enable based on a 'level[+]:file' string.

bool qpid::log::Selector::isEnabled | ( | Level | level,
|  | const char * | function
| ) |  |

True if level is enabled for file.

The documentation for this class was generated from the following file:

- qpid/log/Selector.h